# Uses of Interface
org.astrogrid.samp.hub.MessageRestriction

Packages that use MessageRestriction
Package
Description
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of MessageRestriction in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return MessageRestriction
Modifier and Type
Method
Description
`MessageRestriction`
ProfileToken.`getMessageRestriction()`
Returns a MessageRestriction object which controls what messages may be sent by clients registering under ths profile.

## Uses of MessageRestriction in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement MessageRestriction
Modifier and Type
Class
Description
`class`
`ListMessageRestriction`
General purpose implementation of MessageRestriction.
Fields in org.astrogrid.samp.web declared as MessageRestriction
Modifier and Type
Field
Description
`static final MessageRestriction`
ListMessageRestriction.`ALLOW_ALL`
MessageRestriction that permits all MTypes, except as overridden by `x-samp.mostly-harmless` annotations.
`static final MessageRestriction`
ListMessageRestriction.`DEFAULT`
Default MessageRestriction implementation.
`static final MessageRestriction`
ListMessageRestriction.`DENY_ALL`
MessageRestriction that blocks all MTypes, except as overridden by `x-samp.mostly-harmless` annotations.
Methods in org.astrogrid.samp.web that return MessageRestriction
Modifier and Type
Method
Description
`MessageRestriction`
WebHubProfile.`getMessageRestriction()`
Constructors in org.astrogrid.samp.web with parameters of type MessageRestriction
Modifier
Constructor
Description
``
`WebHubProfile(WebHubProfile.ServerFactory serverFactory, ClientAuthorizer auth, MessageRestriction mrestrict, KeyGenerator keyGen, boolean controlUrls)`
Constructs a profile with configuration options.

## Uses of MessageRestriction in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return MessageRestriction
Modifier and Type
Method
Description
`MessageRestriction`
StandardHubProfile.`getMessageRestriction()`